import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

import request from './utils/request.js'
Vue.prototype.$request = request;

import uView from "uview-ui";
Vue.use(uView);

import './css/style.css'

import mySwiper from './components/my-swiper/my-swiper.vue';
Vue.component('my-swiper', mySwiper);
import useEmpty from './components/use-empty/use-empty.vue';
Vue.component('use-empty', useEmpty);
import useLoadmore from './components/use-loadmore/use-loadmore.vue';
Vue.component('use-loadmore', useLoadmore);
import topSearch from './components/top-search/top-search.vue';
Vue.component('top-search', topSearch);
import myGap from './components/my-gap/my-gap.vue';
Vue.component('my-gap', myGap);
import myGoods from './components/my-goods/my-goods.vue';
Vue.component('my-goods', myGoods);
import sendType from './components/send-type/send-type.vue';
Vue.component('send-type', sendType);
import useListTitle from './components/use-list-title/use-list-title.vue';
Vue.component('use-list-title', useListTitle);

// const autoLogin = async () => { // 小程序自动登录
//   return new Promise(resolve => {
// 		console.log('1111111111111111111111111111')
//     uni.login({
//       success: async (res) => {
//         const result = await request('post', '/miniLogin', {
//           code: res.code,
// 		  appid:'000000'
//           // appid: Vue.prototype.appId
//         })
//         if (result) {
//           uni.setStorageSync("token", result.data.token);
//           // await Vue.prototype.getUser()
//           resolve(true)
//         } else {
//           uni.showModal({
//             title: '温馨提示',
//             content: '您尚未注册，是否前往注册？',
//             showCancel: true,
//             confirmText: '去注册',
//             success: (response) => {
//               if (response.confirm) {
//                 // 用户点击确定
//                 uni.navigateTo({
//                   url: '/pages/bindPhone/bindPhone'
//                 })
//                 resolve(true)
//               } else if (response.cancel) {
//                 // 用户点击取消
//                 resolve(false)
//               }
//             },
//             fail: () => {
//               resolve(false)
//             }
//           })
//         }
//       },
//       fail: (e) => {
//         resolve(false)
//       }
//     })
//   })
// }
// autoLogin()
Vue.config.productionTip = false
App.mpType = 'app'

const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif